Bug 13605 - shn_MM: new Shan locale
Summary: shn_MM: new Shan locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-19 15:56 UTC by kokoye2007
Modified: 2017-10-20 07:51 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
shn_MM (2.40 KB, text/plain)
2012-07-09 06:03 UTC, Bone Pyae Sone
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kokoye2007 2012-01-19 15:56:40 UTC
Dear maintainers,

Please find attached the locale definition for Shan <shn> to be
considered for inclusion in glibc.

Thanks!
Comment 1 -EMail Hidden- 2012-02-17 03:23:18 UTC
There's no attachment.
Comment 2 Bone Pyae Sone 2012-07-09 06:03:17 UTC
Created attachment 6521 [details]
shn_MM
Comment 3 Bone Pyae Sone 2014-07-29 07:59:53 UTC
Hi!

I attached the Shan locale file since 2012 and it seem still no effect to include the Shan Language in any other open-source OS. I developed the locale for the Shan Community around the world to use the system in their language so that they can help to develop the education, development and living standards of the Shan from the rural areas.

I urge whoever taking care of this to consider it for the sake of these people. 


With Best Regards,

Bone Pyae Sone.
Comment 4 Mike Frysinger 2016-06-07 04:38:45 UTC
Comment on attachment 6521 [details]
shn_MM

>escape_char     /
>comment_char    %

please use the same header as other locale files.  see en_US in current git to copy the top ~10 lines.

>category "shn_MM:2012";LC_IDENTIFICATION
>category "shn_MM:2012";LC_COLLATE
>category "shn_MM:2012";LC_CTYPE
>category "shn_MM:2012";LC_MESSAGES
>category "shn_MM:2012";LC_MONETARY
>category "shn_MM:2012";LC_NUMERIC
>category "shn_MM:2012";LC_TIME
>category "shn_MM:2012";LC_PAPER
>category "shn_MM:2012";LC_MEASUREMENT
>category "shn_MM:2012";LC_TELEPHONE
>category "shn_MM:2012";LC_ADDRESS
>category "shn_MM:2012";LC_NAME

these should all be changed.  look at en_US for the values to copy & paste.

>LC_NUMERIC
>% This is the POSIX Locale definition for the LC_NUMERIC category
>% generated by IBM Basic Country  Transformer.
>% These are generated based on XML base Locale defintion file
>% for IBM Class for Unicode.

clear out all these old comments

>yesexpr     "<U005E><U005B><U0079><U0059><U101F><U005D><U002E><U002A>"

this should be changed to:
"^[+1yYဟ]"

>noexpr      "<U005E><U005B><U006E><U004E><U1019><U005D><U002E><U002A>"

this should be changed to:
"^[-0nNမ]"

>yesstr      "<U101F><U102F><U1010><U103A><U1010><U101A><U103A>"
>nostr       "<U1019><U101F><U102F><U1010><U103A><U1018><U1030><U1038>"

are these correct ?  it looks like you just copied the my_MM values.

>LC_MEASUREMENT
>measurement 1
>END LC_MEASUREMENT

copy my_MM instead

>LC_PAPER
>height 297
>width 210
>END LC_PAPER

copy my_MM instead

>LC_NAME

this looks like you just copied my_MM and didn't change anything

>LC_ADDRESS

please add:
  country_num 104
  country_car "MYA"

>country_post    "<U004D><U0079><U0061><U006E><U006D><U0061><U0072>"

pretty sure this should be "MM" instead
Comment 5 keld@keldix.com 2016-06-09 09:12:01 UTC
On Tue, Jun 07, 2016 at 04:38:45AM +0000, vapier at sourceware dot org wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=13605
> 
> --- Comment #4 from Mike Frysinger <vapier at sourceware dot org> ---
> Comment on attachment 6521 [details]
>   --> https://sourceware.org/bugzilla/attachment.cgi?id=6521
> >% These are generated based on XML base Locale defintion file
> >% for IBM Class for Unicode.
> 
> clear out all these old comments
> 
> >yesexpr     "<U005E><U005B><U0079><U0059><U101F><U005D><U002E><U002A>"
> 
> this should be changed to:
> "^[+1yY???]"

I advise that the string be kept. I cannot even read the info on the proposed change.

> >noexpr      "<U005E><U005B><U006E><U004E><U1019><U005D><U002E><U002A>"
> 
> this should be changed to:
> "^[-0nN???]"

Sam comment as above.


Best rgards
keld
Comment 6 Mike Frysinger 2016-06-09 19:33:09 UTC
(In reply to keld@keldix.com from comment #5)

your suggestion makes no sense, or at least, you've provided no logic behind it.  i see no reason to not make my suggested change.
Comment 7 keld@keldix.com 2016-06-15 10:47:16 UTC
On Thu, Jun 09, 2016 at 07:33:09PM +0000, vapier at gentoo dot org wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=13605
> 
> --- Comment #6 from Mike Frysinger <vapier at gentoo dot org> ---
> (In reply to keld@keldix.com from comment #5)
> 
> your suggestion makes no sense, or at least, you've provided no logic behind
> it.  i see no reason to not make my suggested change.

I suggest that we keep the UCS codepoints.

First of all there are some special characters in there that may not
be easily displayed, nor understood. Having a specific UCS codepoing
makes it much clearer and avoids errors.

Furthermore having symbolic characters improves portability with other
character sets than UTF-8.

Best regards
Keld
Comment 8 Mike Frysinger 2016-06-15 13:14:40 UTC
(In reply to keld@keldix.com from comment #7)

i think you're interpreting my suggestion incorrectly.  i provided the string in a readable format for the user.  the expectation is that the locale file would be encoded.  this bug is not about the encoding format of the locale files.
Comment 9 cvs-commit@gcc.gnu.org 2017-10-20 07:50:56 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  2f9314b4121b0200559693d6cfc8f61c692c2857 (commit)
      from  63b4baa44e8d22501c433c4093aa3310f91b6aa2 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2f9314b4121b0200559693d6cfc8f61c692c2857

commit 2f9314b4121b0200559693d6cfc8f61c692c2857
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Oct 20 08:50:32 2017 +0200

    Add new locale shn_MM [BZ #13605]
    
    	[BZ #13605]
    	* localedata/SUPPORTED: Add shn_MM/UTF-8.
    	* localedata/locales/shn_MM: New file.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |    6 +
 localedata/SUPPORTED      |    1 +
 localedata/locales/shn_MM |  292 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 299 insertions(+), 0 deletions(-)
 create mode 100644 localedata/locales/shn_MM
Comment 10 Mike FABIAN 2017-10-20 07:51:43 UTC
Fixed in glibc master.